Chelabase
ManagementFunctions

List the database's functions with their state on the branch

GET
/v1/databases/{id}/branches/{branch_id}/functions

Authorization

bearer
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Database id

Formatuuid
branch_id*string

Branch id

Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/databases/497f6eca-6276-4993-bfeb-53cbbbba6f08/branches/497f6eca-6276-4993-bfeb-53cbbbba6f08/functions"
[  {    "auth": "key",    "created_at": "2019-08-24T14:15:22Z",    "deployment_id": "6ef0ac85-9892-4664-a2a5-58bf2af5a8a6",    "enabled": true,    "health": "healthy",    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "kind": "function",    "last_error": "string",    "name": "string",    "rollout": {      "deployment_id": "6ef0ac85-9892-4664-a2a5-58bf2af5a8a6",      "error": "string",      "started_at": "2019-08-24T14:15:22Z",      "state": "pending"    },    "run_as_active": true,    "run_as_role": "string",    "signing_secret": "string",    "updated_at": "2019-08-24T14:15:22Z"  }]